Delete Extension
https://api.elastic-cloud.com/api/v1
- DELETE /deployments/extensions/{extension_id}
Deletes a Extension.
Path Parameters
-
extension_idstringrequired -
Id of an extension
Responses
Extension deleted successfully.
Response Type: EmptyResponse
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
- The extension does not belong to you. (code:
extensions.unauthorised) - Your current session does not have a user id associated with it. (code:
extensions.no_user_id)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The extension requested does not exist. (code: extensions.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The version you sent does not match the persisted version. (code: extensions.version_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response